Package org.apache.sis.metadata.iso.citation

## Class DefaultIndividual

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - AbstractParty
        - - DefaultIndividual

- All Implemented Interfaces:
    `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`

      @UML(identifier="CI_Individual",
           specification=ISO_19115)
      public class DefaultIndividual
      extends AbstractParty

  Information about the party if the party is an individual.
  Note on International Standard versions
  This class is derived from a new type defined in the ISO 19115 international standard published in 2014, while GeoAPI 3.0 is based on the version published in 2003. Consequently this implementation class does not yet implement a GeoAPI interface, but is expected to do so after the next GeoAPI releases. When the interface will become available, all references to this implementation class in Apache SIS will be replaced be references to the `Individual` interface.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.5
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ModifiableMetadata

      `ModifiableMetadata​.State`

  - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultIndividual()` | Constructs an initially empty individual.
    `DefaultIndividual​(CharSequence name, CharSequence positionName, Contact contactInfo)` | Constructs an individual initialized to the specified values.
    `DefaultIndividual​(DefaultIndividual object)` | Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternationalString` | `getPositionName()` | Returns position of the individual in an organization, or `null` if none.
    `void` | `setPositionName​(InternationalString newValue)` | Sets a new position of the individual in an organization.

    - ### Methods inherited from class AbstractParty

      `getContactInfo, getName, setContactInfo, setName`

    - ### Methods inherited from class ISOMetadata

      `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, freeze, isModifiable, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, unmodifiable, writeCollection, writeList, writeMap, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultIndividual

          public DefaultIndividual()

      Constructs an initially empty individual.

    - #### DefaultIndividual

          public DefaultIndividual​(CharSequence name,
                                   CharSequence positionName,
                                   Contact contactInfo)

      Constructs an individual initialized to the specified values.
      Parameters:
        `name` - name of the individual.
        `positionName` - position of the individual in an organization.
        `contactInfo` - contact information for the individual.

    - #### DefaultIndividual

          public DefaultIndividual​(DefaultIndividual object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.

  - ### Method Detail

    - #### getPositionName

          @UML(identifier="positionName",
               obligation=CONDITIONAL,
               specification=ISO_19115)
          public InternationalString getPositionName()

      Returns position of the individual in an organization, or `null` if none.
      Returns:
        position of the individual in an organization, or `null` if none.

    - #### setPositionName

          public void setPositionName​(InternationalString newValue)

      Sets a new position of the individual in an organization.
      Parameters:
        `newValue` - the new position of the individual in an organization.